/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/* Operating System header files */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <dirent.h>


#include "ibis.h"
#include "tafel.h"
#include "bitvector.h"


int main (int argc, char * argv []) {
  ibis::bitvector *bv = new ibis::bitvector();

  bv->setBit(10, 1);
  bv->setBit(1544, 1);
  bv->setBit(546450, 1);
  bv->setBit(341544, 1);
  bv->setBit(35446450, 1);
  bv->setBit(310, 1);
  bv->setBit(41544, 1);
  bv->setBit(2546450, 1);
  bv->setBit(1341544, 1);
  bv->setBit(13444, 1);
  bv->setBit(25446450, 1);

  bv->print(std::cout);

  ibis::array_t<ibis::bitvector::word_t>::const_iterator it = bv->begin();
  for (; it != bv->end(); ++it) {
    printf("%d ", 1);
  }
  printf("\n");

  printf("Compressing... [count=%d]\n", bv->cnt());
  //bv->compress();
  printf("Writing...\n");
  bv->write("prova.bitvector");
  printf("Done\n");

  return(0);
}

